MSP430™CapTIvateSoftwareLibraryAPIGuide 1_70_00_03

Data Fields
tSliderSensorParams Struct Reference
CAPT_TYPE

`#include <CAPT_Type.h>`

Collaboration diagram for tSliderSensorParams:
[legend]

## Data Fields
IQ16_t | SliderPosition
| Current slider/wheel position stored as a filtered value. More...
uint16_t | ui16Resolution
| Specifies the slider/wheel resolution in points. More...
uint16_t | SliderLower
| Lower slider trim/stretch point (not applicable to wheels) More...
uint16_t | SliderUpper
| Upper slider trim/stretch point (not applicable to wheels) More...
uint8_t | SliderBeta
| Specifies the beta coefficient of the slider/wheel position filter. More...
uint8_t | ui8TotalElements
| Total elements in slider/wheel sensor (pre-populated) More...
tPositionAlgorithm | SliderAlgorithm: 4
| Position algorithm type (16 possible options) More...
bool | SliderFilterEnable: 1
| Slider/wheel position filter enable. More...
bool | Reseed: 1
| Flag the slider/wheel position filter for an immediate reseed. More...

## Detailed Description

typedef tSliderSensorParams

Slider/Wheel sensor specific parameters. One instance must be created and tied to every slider or wheel sensor.

## Field Documentation

## § SliderPosition

IQ16_t tSliderSensorParams::SliderPosition

Current slider/wheel position stored as a filtered value.

## § ui16Resolution

uint16_t tSliderSensorParams::ui16Resolution

Specifies the slider/wheel resolution in points.

## § SliderLower

uint16_t tSliderSensorParams::SliderLower

Lower slider trim/stretch point (not applicable to wheels)

## § SliderUpper

uint16_t tSliderSensorParams::SliderUpper

Upper slider trim/stretch point (not applicable to wheels)

## § SliderBeta

uint8_t tSliderSensorParams::SliderBeta

Specifies the beta coefficient of the slider/wheel position filter.

## § ui8TotalElements

uint8_t tSliderSensorParams::ui8TotalElements

Total elements in slider/wheel sensor (pre-populated)

## § SliderAlgorithm

tPositionAlgorithm tSliderSensorParams::SliderAlgorithm

Position algorithm type (16 possible options)

## § SliderFilterEnable

bool tSliderSensorParams::SliderFilterEnable

Slider/wheel position filter enable.

## § Reseed

bool tSliderSensorParams::Reseed

Flag the slider/wheel position filter for an immediate reseed.

The documentation for this struct was generated from the following file:

- CAPT_Type.h

© Copyright 1995-2018, Texas Instruments Incorporated. All rights reserved.
Trademarks | Privacy policy | Terms of use | Terms of sale